cURL
curl --request POST \ --url https://app.coverwhale.com/api/v1/authentication \ --header 'Accept: <accept>' \ --header 'AccessToken: <api-key>' \ --header 'Content-Type: <content-type>' \ --data ' { "username": "j.doe@coverwhale.com", "password": "<string>", "new_password": "<string>", "refresh_token": "<string>" } '
{ "AccessToken": "<string>", "RefreshToken": "<string>", "ExpiresIn": "3600" }
Request an authentication and refresh token with user credentials
AWS Cognito access token obtained from the /authentication endpoint. Token expires after 3600 seconds.
"j.doe@coverwhale.com"
provided user password. Password reset can be used to recover account.
Can be combined with username to generate new AccessTokens.
Authentication Success
Access Token, used for API calls.
Refresh Token, used for re-authentication.
Halflife for active AccessToken.
"3600"